presentations.ai

Files

Upload source files for deck generation.

POST
/files

Upload a file and enqueue extraction.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/files" \  -F file="string"
{  "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767",  "filename": "string",  "status": "CREATED",  "created_at": "2019-08-24T14:15:22Z"}
GET
/files/{file_id}

Get file metadata and extraction status.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

file_id*File Id
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/files/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767",  "filename": "string",  "status": "CREATED",  "error": "string",  "size_bytes": 0,  "content_type": "string",  "char_count": 0,  "content_sha256": "string",  "extracted_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z"}
DELETE
/files/{file_id}

Delete an uploaded file and any extraction state, including a hung extraction.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

file_id*File Id
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/files/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty